Description

Description of problem:

When a "Actions::Katello::Host::Hypervisors" task ends with error/warnings, it does not indicate any detail about what hypervisor

caused the issue. With the patch attached to this RFE, the error message displays also the ID and hostname of the affected

hypervisor. The customer finds this addition really useful to identify the root cause of the problem, and requests to implement it in

future Red Hat Satellite releases.

Actual results:

original error message:

~

~

hypervisors warning: "Validation failed: Name must not include periods; Name must not include periods"

~~

Associated revisions

Revision f0404d13 - 08/07/2023 02:03 PM - Chris Roberts

Fixes #36599 - Add hostname to hypervisor task with validation error

History

#1 - 07/17/2023 08:23 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10654 added

#2 - 07/19/2023 05:41 PM - Ian Ballou

- Triaged changed from No to Yes

#3 - 07/24/2023 05:13 PM - Chris Roberts

- Status changed from Ready For Testing to New

- Assignee deleted (Chris Roberts)

- Target version changed from Katello 4.10.0 to Katello 4.11.0

- Difficulty deleted (easy)

- Pull request deleted (https://github.com/Katello/katello/pull/10654)

#4 - 07/24/2023 06:08 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Chris Roberts

- Pull request https://github.com/Katello/katello/pull/10654 added
#5 - 08/07/2023 02:03 PM - The Foreman Bot

- Fixed in Releases Katello 4.10.0 added

#6 - 08/07/2023 02:05 PM - Chris Roberts

- Status changed from Ready For Testing to Closed
